crudexample/crudexample/urls.py
from django.contrib import admin  
from django.urls import path  
from employee import views  
urlpatterns = [  
    path('admin/', admin.site.urls),  
    path('emp', views.emp),  
    path('show',views.show),  
    path('edit/<int:id>', views.edit),  
    path('update/<int:id>', views.update),  
    path('delete/<int:id>', views.destroy),  
]

crudexample/employee/models.py
from django.db import models

# Createfrom django.db import models  
class Employee(models.Model):  
    Grades= models.IntegerField()  
    Sections= models.CharField(max_length=100)    
    Subjects = models.CharField(max_length=15)  
    class Meta:  
        db_table = "employee"

crudexample/employee/forms.py
from django import forms  
from employee.models import Employee  
class EmployeeForm(forms.ModelForm):  
    class Meta:  
        model = Employee  
        fields = "__all__"  

crudexample/employee/views.py
from django.shortcuts import render, redirect  
from employee.forms import EmployeeForm  
from employee.models import Employee  
# Create your views here.  
def emp(request):  
    if request.method == "POST":  
        form = EmployeeForm(request.POST)  
        if form.is_valid():  
            try:  
                form.save()  
                return redirect('/show')  
            except:  
                pass  
    else:  
        form = EmployeeForm()  
    return render(request,'index.html',{'form':form})  
def show(request):  
    employees = Employee.objects.all()  
    return render(request,"show.html",{'employees':employees})  
def edit(request, id):  
    employee = Employee.objects.get(id=id)  
    return render(request,'edit.html', {'employee':employee})  
def update(request, id):  
    employee = Employee.objects.get(id=id)  
    form = EmployeeForm(request.POST, instance = employee)  
    if form.is_valid():  
        form.save()  
        return redirect("/show")  
    return render(request, 'edit.html', {'employee': employee})  
def destroy(request, id):  
    employee = Employee.objects.get(id=id)  
    employee.delete()  
    return redirect("/show") 

crudexample/employee/templates/edit.html
<!DOCTYPE html>  
<html lang="en">  
<head>  
    <meta charset="UTF-8">  
    <title>Index</title>  
    {% load static %}  
    <link rel="stylesheet" href="{% static 'css/style.css' %}"/>  
</head>  
<body style="background-image:url('https://cdn.wallpapersafari.com/84/52/VvHazk.jpg');background-size:cover;background-repeat:no-repeat;">  
<form method="POST" class="post-form" action="/update/{{employee.id}}">
        {% csrf_token %}  
    <div class="container">  
<br>  
    <div class="form-group row">  
    <label class="col-sm-1 col-form-label"></label>  
    <div class="col-sm-4"><br><br>
    <h2 style="text-align:center;"><ins>Update Details</ins></h2>  
    </div>  
  </div>  
  <div class="edit" style="text-align:center;">
    <div class="form-group row">  
    <label class="col-sm-2 col-form-label"><b>Grade:</b></label>  
    <div class="col-sm-4">  
        <input type="text" name="Grades" id="id_Grades" required maxlength="20" value="{{ employee.Grades }}"/>  
    </div>  
  </div>  
  <div class="form-group row">  
    <label class="col-sm-2 col-form-label"><b>Section:</b></label>  
    <div class="col-sm-4">  
        <input type="text" name="Sections" id="id_Sections" required maxlength="100" value="{{ employee.Sections }}" />  
    </div>  
  </div>  
    <div class="form-group row">  
    <label class="col-sm-2 col-form-label"><b>Subject:</b></label>  
    <div class="col-sm-4">  
        <input type="text" name="Subjects" id="id_Subjects" required maxlength="15" value="{{ employee.Subjects }}" />  
    </div>  
  </div>  
    <div class="form-group row">  
    <label class="col-sm-1 col-form-label"></label>  
    <div class="col-sm-4"><br><br>
    <button type="submit" class="btn btn-success" style="background-color:#192364;color:#fff;padding:10px;">Update</button>  
    </div>  
  </div>  
    </div>  
  </div>  
</form>  
</body>  
</html>  

crudexample/employee/templates/index.html
<!DOCTYPE html>  
<html lang="en">  
<head>  
    <meta charset="UTF-8">  
    <title>Admin Details</title>  
    {% load static%}  
    <link rel="stylesheet" href="{% static 'css/style.css' %}"/>  
</head>  
<body style="background-image:url('https://image.shutterstock.com/image-photo/education-back-school-concept-rocket-600w-1446761522.jpg');background-size:cover;background-repeat:no-repeat;">  
<form method="POST" class="post-form" action="/emp">  
        {% csrf_token %}  
    <div class="container">  
<br>  
  <div class="form-group row">  
    <label class="col-sm-1 col-form-label"></label>  
    <div class="col-sm-4">  
    <h2 style="text-align:center;"><ins>Give Your Details</ins></h2>  
    </div>  
  </div>  
  <div class="bdy" style="text-align:center;">
    <div class="form-group row">  
    <label class="col-sm-2 col-form-label"><b>Grade</b></label>  
    <div class="col-sm-4">  
      {{ form.Grades }}  
    </div>  
  </div>  
  <div class="form-group row">  
    <label class="col-sm-2 col-form-label"><b>Section</b></label>  
    <div class="col-sm-4">  
      {{ form.Sections }}  
    </div>  
  </div>  
    <div class="form-group row">  
    <label class="col-sm-2 col-form-label"><b>Subject</b></label>  
    <div class="col-sm-4">  
      {{ form.Subjects }}  
    </div>  
  </div>  
    <div class="form-group row">  
    <label class="col-sm-1 col-form-label"></label>  
    <div class="col-sm-4"> <br>
    <button type="submit" class="btn btn-primary" style="background-color:#192364;color:#fff;padding:10px;">Insert Details</button>  
    </div>  
  </div>  
    </div> 
  </div> 
</form>  
</body>  
</html>  

crudexample/employee/templates/show.html
<!DOCTYPE html>  
<html lang="en">  
<head>  
    <meta charset="UTF-8">  
    <title>Your Details</title>  
     {% load static %}  
    <link rel="stylesheet" href="{% static 'css/style.css' %}"/>  
</head>  
<body style="background-image:url('https://sbly-web-prod-shareably.netdna-ssl.com/wp-content/uploads/2020/07/30170434/Untitled-2020-07-30T165541.913-1.jpg');background-size:cover;background-repeat:no-repeat;">  
<center>
<table border=2 width=50%  class="table table-striped table-bordered table-sm">  
    <thead class="thead-dark">  
    <tr> <size=100px;> 
        <th>Grades</th>  
        <th>Sections</th>   
        <th>Subjects</th>  
        <th>Actions</th>
    </tr>  
    </thead>  
    <tbody>  
{% for employee in employees %}  
    <tr>  
        <td>{{ employee.Grades}}</td>  
        <td>{{ employee.Sections}}</td>  
        <td>{{ employee.Subjects}}</td>  
        <td>  
            <a href="/edit/{{ employee.id }}"><span class="glyphicon glyphicon-pencil">Edit</span></a>  
            <a href="/delete/{{ employee.id }}">Delete</a>  
        </td>  
    </tr>  
{% endfor %}  
    </tbody>  
</table>  
</center>
<br>  
<br>  
<center><button style="background-color:#192364;color:#fff;padding:2px;"><a href="/emp" class="btn btn-primary"style="color:#fff;">Add New Record</a></button></center>  
</body>  
</html>  